summaryrefslogtreecommitdiff
path: root/games-rpg
diff options
context:
space:
mode:
Diffstat (limited to 'games-rpg')
l---------games-rpg/tmw/files1
-rw-r--r--games-rpg/tmw/tmw-9999.ebuild60
2 files changed, 61 insertions, 0 deletions
diff --git a/games-rpg/tmw/files b/games-rpg/tmw/files
new file mode 120000
index 0000000..d4d4d35
--- /dev/null
+++ b/games-rpg/tmw/files
@@ -0,0 +1 @@
+/var/paludis/repositories/gentoo/games-rpg/tmw/files \ No newline at end of file
diff --git a/games-rpg/tmw/tmw-9999.ebuild b/games-rpg/tmw/tmw-9999.ebuild
new file mode 100644
index 0000000..ef39f75
--- /dev/null
+++ b/games-rpg/tmw/tmw-9999.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/games-rpg/tmw/tmw-0.0.26.ebuild,v 1.1 2008/10/15 18:22:04 mr_bones_ Exp $
+
+inherit eutils games git cmake-utils
+
+MUSIC=tmwmusic-0.0.20
+DESCRIPTION="A fully free and open source MMORPG game with the looks of \"old-fashioned\" 2D RPG"
+HOMEPAGE="http://themanaworld.org/"
+SRC_URI="mirror://sourceforge/themanaworld/${MUSIC}.tar.gz"
+
+EGIT_REPO_URI="git://gitorious.org/tmw/mainline.git"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="opengl"
+
+DEPEND=">=dev-games/physfs-1.0.0
+ opengl? ( virtual/opengl )
+ dev-libs/libxml2
+ media-libs/sdl-mixer
+ media-libs/sdl-image
+ media-libs/sdl-net
+ net-misc/curl
+ net-libs/enet
+ >=dev-games/guichan-0.8.1"
+
+pkg_setup() {
+ games_pkg_setup
+ if ! built_with_use dev-games/guichan sdl ; then
+ eerror "dev-games/guichan needs to be built with USE=sdl"
+ die "please re-emerge dev-games/guichan with USE=sdl"
+ fi
+ if ! built_with_use media-libs/sdl-mixer vorbis ; then
+ eerror "media-libs/sdl-mixer needs to be built with USE=vorbis"
+ die "please re-emerge media-libs/sdl-mixer with USE=vorbis"
+ fi
+}
+
+src_unpack() {
+ git_src_unpack
+ unpack ${A}
+ cd "${S}"
+# epatch "${FILESDIR}"/tmw-0.0.26-desktop.patch
+}
+
+src_compile() {
+ cmake-utils_src_compile
+}
+
+src_install() {
+ cmake-utils_src_install
+ dodoc AUTHORS ChangeLog NEWS README
+# cd "${WORKDIR}"
+# insinto "${GAMES_DATADIR}"/${PN}/data/music
+# doins ${MUSIC}/data/music/*.ogg || die
+# newdoc ${MUSIC}/README README.music
+ prepgamesdirs
+}